﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Tsi1.DataLayer.Entities
{
    public class Tenant
    {
        public Tenant()
        {
            Courses = new HashSet<Course>();
            Professors = new HashSet<Professor>();
            Students = new HashSet<Student>();
            Users = new HashSet<User>();
            Surveys = new HashSet<Survey>();
            Communications = new HashSet<Communication>();
        }

        public int Id { get; set; }
        public string Name { get; set; }
        public string Theme { get; set; }

        public ICollection<Course> Courses { get; set; }
        public ICollection<Professor> Professors { get; set; }
        public ICollection<Student> Students { get; set; }
        public ICollection<User> Users { get; set; }
        public ICollection<Survey> Surveys { get; set; }
        public ICollection<Communication> Communications { get; set; }
    }
}
